package com.willalp.control.netty.service;


/**
 * @author xian
 * @Description 基站交互接口
 * @date 2021/7/31
 */
public interface CommandNettyService {

    /**
     *
     * 指令业务处理
     *
     * @param str
     * @param ipAddr
     */
    void commandServiceControl(String str, String ipAddr);

    /**
     * 获取需要发送命令的基站IP
     *
     * @param deviceId
     * @return
     */
    String getNeedSendCommandBaseStationIp(String deviceId);

    /**
     * 传入基站IP等待获取通道内传输的数据
     *
     * @param baseIp
     * @param type
     * @return
     */
    String waitingToReceiveData(String baseIp, int type);


    /**
     * 传入控制数据获得整句指令
     *
     * @param str 俩位的控制指令
     * @return
     */
    String getCommandToStr(String str);
}
